dbXML API

## com.dbxml.db.core.query.plan
Class QueryNode

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode

Direct Known Subclasses:
  Container, LogicalQueryNode, PhysicalQueryNode

public abstract class QueryNode
extends java.lang.Object

QueryNode represents a node in a QueryPlan. QueryPlan nodes can ultimately be Logical or Physical. But the framework consolidates common functions, such as group into the main package.

Constructor Summary
`QueryNode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryNode

    public QueryNode()

dbXML API

Copyright (c) 2004 The dbXML Group